Ubuntu

tifm: Texas Instruments Card reader not reading SD cards

Reported by Duncan Lithgow on 2006-07-24
280
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux-source-2.6.17 (Ubuntu)
Undecided
Unassigned
Declined for Feisty by Ben Collins
linux-source-2.6.20 (Ubuntu)
High
beewolf
Declined for Feisty by Ben Collins
linux-source-2.6.22 (Ubuntu)
Medium
Unassigned
Declined for Feisty by Ben Collins
udev (Ubuntu)
Medium
R. Pereira Braga
Declined for Feisty by Ben Collins

Bug Description

Updated June 27th for Gutsy.
Updated January 3rd for Gutsy - 2.6.22-14-generic

Please let me know direct if anything is wrong or confusing. Duncan

= Ubuntu 7.04 specific =
Here is a run through of the status on my machine, an HP dv8000 series laptop (dv8220ea) running Ubuntu 7.04 (Feisty Fawn) with kernel 2.6.20-14-generic. My laptop testing page is at: https://wiki.ubuntu.com/LaptopTestingTeam/HP_Pavilion_DV8220EA and my (totally useless) Ubuntu Hardware Database entry is at: http://hwdb.ubuntu.com/?xml=d7aa35a00d28d36a608b2d09bc3b27e3

Feisty: /var/log/messages I can see some kind of circular issue happening. I've attached an excerpt of the file which fills 1962 lines in 47/100ths of a second (20:31:59 - 20:32:06). For example the first section touched is 1000384, and it gets touched 9 times in that short time. The log starts out looking promising but then just repeats a series of the I/O errors:
Apr 13 20:31:59 ubuntu kernel: [ 3544.084000] tifm_7xx1: sd card detected in socket 1
Apr 13 20:31:59 ubuntu kernel: [ 3544.480000] mmcblk0: mmc1:470a SD512 500224KiB
Apr 13 20:31:59 ubuntu kernel: [ 3544.480000] mmcblk0: p1
Apr 13 20:32:00 ubuntu kernel: [ 3545.540000] end_request: I/O error, dev mmcblk0, sector 1000384
Apr 13 20:32:00 ubuntu kernel: [ 3545.540000] printk: 317 messages suppressed.
Apr 13 20:32:00 ubuntu kernel: [ 3545.540000] end_request: I/O error, dev mmcblk0, sector 1000384
etc... see attached file 'messages.txt'

Running '$ mount' while the card is in shows no sign of the the card being seen.

Force starting the tifm_7xx1, tifm_core and tifm_sd modules makes no difference to the output of /var/log/messages.

= Ubuntu 7.10, updated Jan 2008 =
I went to the Debian GNU/Linux device driver check page at http://kmuto.jp/debian/hcl/ which uses the PCI map of Debian kernel 2.6.18-4-686 (2.6.18.dfsg.1-9). Unlike when I first made this report, my hardware seems to be recognized. The relevant hardware is:
PCI ID Working? Vendor Device
104c8039 Yes Texas Instruments PCIxx12 Cardbus Controller yenta_socket [add: v2.6.23]
104c803a - Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
104c803b [add: Yes] Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD) [add: tifm_7xx1 v2.6.23]
104c803c - Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller
[add entry:
80861092 Yes Intel Corporation PRO/1000 PT Server Adapter e100 v2.6.23 ]

So my card should be recognised. Sure enough in 'System > Preferences > Hardware Information' I have an entry as follows:
 - 82801 Mobile PCI Bridge
 - - PCIxx12 Cardbus Controller
 - - PCIxx12 OHCI Compliant IEEE 1394 Host Controller
 - - 5-in-1 Multimedia Card Reader (SD/MMC/MS/ PRO/xD)
 - - PCIxx12 SDA Standard Compliant SD Host Controller
 - - - MMC/SD Host Adapter

If anyone wants info from the device manager just let me know. It's a bit tedious to copy over from the Device Manager

(updated Jan 2008 for Gutsy) duncan@ubuntu:~$ lspci -n
00:00.0 0600: 8086:27a0 (rev 03)
00:01.0 0604: 8086:27a1 (rev 03)
00:1b.0 0403: 8086:27d8 (rev 01)
00:1c.0 0604: 8086:27d0 (rev 01)
00:1c.1 0604: 8086:27d2 (rev 01)
00:1c.2 0604: 8086:27d4 (rev 01)
00:1d.0 0c03: 8086:27c8 (rev 01)
00:1d.1 0c03: 8086:27c9 (rev 01)
00:1d.2 0c03: 8086:27ca (rev 01)
00:1d.3 0c03: 8086:27cb (rev 01)
00:1d.7 0c03: 8086:27cc (rev 01)
00:1e.0 0604: 8086:2448 (rev e1)
00:1f.0 0601: 8086:27b9 (rev 01)
00:1f.2 0101: 8086:27c4 (rev 01)
00:1f.3 0c05: 8086:27da (rev 01)
01:00.0 0300: 10de:01d8 (rev a1)
06:00.0 0280: 8086:4222 (rev 02)
08:06.0 0607: 104c:8039
08:06.1 0c00: 104c:803a
08:06.2 0180: 104c:803b
08:06.3 0805: 104c:803c
08:08.0 0200: 8086:1092 (rev 01)

/var/log/messages I get the changes listed below if I insert an SD card, browse the files, unmount, and remove the card.
Jan 3 15:26:37 ubuntu kernel: [11848.820000] tifm_core: SmartMedia/xD card detected in socket 0:0
Jan 3 15:26:37 ubuntu kernel: [11849.140000] tifm0 : demand removing card from socket 0:0
Jan 3 15:26:37 ubuntu kernel: [11849.296000] tifm_core: MMC/SD card detected in socket 0:1
Jan 3 15:26:37 ubuntu kernel: [11849.716000] mmcblk0: mmc1:470a SD512 500224KiB
Jan 3 15:26:37 ubuntu kernel: [11849.716000] mmcblk0: p1
Jan 3 15:27:06 ubuntu kernel: [11878.116000] tifm0 : demand removing card from socket 0:1

running '$ mount' while the card is in produces:
June '07:
/dev/mmcblk0p1 on /media/disk type vfat (rw,nosuid,nodev,shortname=mixed,uid=1000,utf8,umask=077)
Jan '08:
/dev/mmcblk0p1 on /media/disk type vfat (ro,nosuid,nodev,shortname=mixed,uid=1000,utf8,umask=077,usefree)

= Some comments =
Tarek Loubani on 2007-01-12 mentions adding the modules to /etc/default/acpi-support but after the udev bug being fixed I haven't done that - please correct me if I'm wrong.
Scott James Remnant said on 2007-03-30: udev problems fixed
William Hood said on 2007-04-01: affects Averatec 2370 Laptop
Mendez said on 2007-04-01: affects: HP NX9420 laptop
robrichard said on 2007-04-06: affects: HP Compaq nw8240 laptop
Ramesh Thiruchelvam said on 2007-04-07: Compaq NX 6120 Note Book
Th3n3k said on 2007-04-11:: affects: HP pavilion ZT3115E

Duncan Lithgow (duncan-lithgow) wrote :

Some more output:

duncan@duncan-laptop:~$ lspci
...
0000:08:06.0 CardBus bridge: Texas Instruments: Unknown device 8039
0000:08:06.1 FireWire (IEEE 1394): Texas Instruments: Unknown device 803a <--- works
0000:08:06.2 Mass storage controller: Texas Instruments: Unknown device 803b
0000:08:06.3 0805: Texas Instruments: Unknown device 803c
...

duncan@duncan-laptop:~$ cat /sys/bus/pnp/devices/*/id
PNP0c02
PNP0200
INT0800
PNP0103
PNP0c01
PNP0c04
PNP0c02
PNP0303
SYN011e
SYN0100
SYN0002
PNP0f13
PNP0b00
duncan@duncan-laptop:~$

anything useful there?

Duncan Lithgow (duncan-lithgow) wrote :

according to http://www.webcon.ca/~imorgan/tifm21/ the driver for this device (sdhci) is merged into the kernel. Still I get nothing from 6.10 (knot 1) and I can't work out how to use the startup script refered to.

Duncan Lithgow (duncan-lithgow) wrote :

There's some more about the TI issues here: http://mmc.drzeus.cx/wiki/Controllers/TexasInstruments/FlashMedia

Among the comments is:

"The Texas Instruments specific interface is accessed through the PCI subdevice called "FlashMedia controller" (PCI id 104c:8033). Currently, there is no linux support for this interface, however some early driver/software work seems to have been done on TI's behalf by a consulting company called [WWW] Everest Inc"

Duncan Lithgow (duncan-lithgow) wrote :

Some comments about trouble with the controller
interface http://list.drzeus.cx/pipermail/sdhci-devel/2005-November/000036.html and a (messy) workaround

Duncan Lithgow (duncan-lithgow) wrote :

I tried it with a 'memory stick duo' manufactured by Magic gate and a normal SD card, don't remember the make

Duncan Lithgow (duncan-lithgow) wrote :

same status with kernel 2.6.17-10

Peter Magnusson (kmpm) wrote :

I have the same reader pci id 104c:8039 to 803d
I can read and mount SD cards but I think the integrated smartcard reader uses the same chip but nothing happens.

I have a HP nx9420 and is running edgy

02:06.0 CardBus bridge: Texas Instruments Unknown device 8039
02:06.1 FireWire (IEEE 1394): Texas Instruments Unknown device 803a
02:06.2 Mass storage controller: Texas Instruments Unknown device 803b
02:06.3 Class 0805: Texas Instruments Unknown device 803c
02:06.4 Communication controller: Texas Instruments Unknown device 803d

Duncan Lithgow (duncan-lithgow) wrote :

I was emailed a fix by Mackenzie Morgan which worked for my SD card, I haven't tried any other cards yet.

Open the terminal and type in

lspci -vvvv | grep CardBus

Mine is 8039 and this fix is also reported to work for 803b.

Now in the terminal type the following three lines to force start these kernel modules:
sudo modprobe tifm_7xx1
sudo modprobe tifm_core
sudo modprobe tifm_sd

See if the card reader works now. To make these modules always start at boot add the three module names to your /etc/modules file (edit as root)

Works for me!

Changed in linux-source-2.6.17:
status: Unconfirmed → Confirmed
description: updated
description: updated
description: updated
Changed in linux-source-2.6.17:
status: Confirmed → Unconfirmed
description: updated

I just want to add that I also run into this bug. Combined with Bug#77510 Ubuntu failed miserably at my first attempt to migrate someone to free software. ("Ubuntu works out of the box, yeah!" and then it was fighting with Linux the whole day...)

Changed in linux-source-2.6.17:
assignee: nobody → rpereira
Changed in linux-source-2.6.17:
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Tarek Loubani (tareko) wrote :

On my HP NC4200, I only need to modprobe tifm_sd to get a working SD/MMC reader. Also, adding it to the /etc/modules means that I don't need to do it every time.

Could somebody point to documentation about how to get this to be detected properly so I could perhaps submit a patch?

tarek : )

Tarek Loubani (tareko) wrote :

Upon looking at the duplicates, a patch is found in this bug report:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.17/+bug/69123

and can be found here:

http://librarian.launchpad.net/4940121/tifm_7xx1.modprobe

Tarek Loubani (tareko) wrote :

One note is that the above fix breaks suspend for me. The following has to be added to /etc/default/acpi-support to make it sleep and wake up appropriately. Unfortunately, it still doesn't safely unmount on sleep.

Make sure this line is in /etc/default/acpi-support:

MODULES="tifm_sd sdhci mmc_core"

tarek : )

Matthew Garrett (mjg59) wrote :

This has been handled in the latest udev upload - it's not quite perfect, but it'll do for feisty

Changed in linux-source-2.6.17:
status: Confirmed → Fix Released
MetaCarpal (metacarpal) wrote :

Regression: as of this morning's updates (2.6.20-13-generic kernel, udev 103-0ubuntu14), my TI SD card reader has stopped working again.

It was working fine before the updates. After rebooting, I lost my card reader. I have tifm_sd in /etc/modules

Lionel Dricot (ploum) wrote :

I confirm that it doesn't work with the update. But for me, it didn't work even before this update.

Mackenzie Morgan (maco.m) wrote :

Confirming that it doesn't work with 2.6.20-13 but did work for me with 2.6.20-12. Reopening the bug.

Changed in udev:
status: Fix Released → Confirmed
Pavel Rojtberg (rojtberg) wrote :

dmesg for regression:
...
[ 496.932000] mmcblk0: error 1 sending read/write command
[ 496.932000] end_request: I/O error, dev mmcblk0, sector 1999871
[ 496.932000] mmcblk0: error 1 sending read/write command
[ 496.932000] end_request: I/O error, dev mmcblk0, sector 245
...

The udev part (that the module is loaded at all) has been fixed - what remains seems to be a driver/hardware issue

Changed in udev:
status: Confirmed → Fix Released

For the record, this bug affects my Averatec 2370 Laptop, which worked fine under Edgy and is still a problem as of Mar 31.

Why is this bug "Medium?" I hope it doesn't mean you guys would actually ship Feisty with it still in place?

I'm also getting this problem on a HP NX9420 laptop. Works fine in 2.6.20.12 but if I boot with 2.6.20-13 I get error messages similar to Pavel Rojtberg and the system becomes unusable due to the constant logging of those messages.

Changed in linux-source-2.6.20:
importance: Undecided → Medium
status: Unconfirmed → Confirmed

I too started having this problem with the Feisty beta.

I'd love to help diagnose/debug on IRC if it will help the devs out. I'm newz2000. I can confirm that this was working in Edgy (but not in Dapper).

when inserting a card, dmesg says:
[ 282.148000] tifm_7xx1: sd card detected in socket 1
[ 282.308000] mmcblk0: mmc1:6cbc S016B 14560KiB
[ 282.308000] mmcblk0: p1

You'd think that means its working.

uname -a
Linux matts-laptop 2.6.20-13-generic #2 SMP Sun Mar 25 00:21:25 UTC 2007 i686 GNU/Linux

lspci -vv
07:06.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
        Subsystem: Toshiba America Info Systems Unknown device ff10
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 128 (1750ns min, 1000ns max), Cache Line Size: 16 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at dc004000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME+

07:06.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller (prog-if 01)
        Subsystem: Toshiba America Info Systems Unknown device ff10
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 128 (1750ns min, 1000ns max), Cache Line Size: 16 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at dc005800 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

sebastw (sebastw) wrote :

I have always this message in boot :
PCI: Failed to allocate mem resource #0:xxxxxx at xxxxxx for 0000:04:00.2

This is the number of texas chipset... A reason of detection failure for texas card controller ? I have a HP pavillon zv5000
The last version of feisty failed to detect SD card.

Matthew Nuzum (newz) wrote :

Just confirmed, this is still a problem in -14.

robrichard (robrichard87) wrote :

Having the same problem. This worked in edgy after applying the setpci hack, In feisty 2.6.20-13 and 14 I get the constant error logs:

[ 711.608000] mmcblk0: error 1 sending read/write command
[ 711.608000] end_request: I/O error, dev mmcblk0, sector 103
[ 711.608000] mmcblk0: error 1 sending read/write command
[ 711.608000] end_request: I/O error, dev mmcblk0, sector 104
and so on.

lspci:
02:06.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
02:06.2 FireWire (IEEE 1394): Texas Instruments OHCI Compliant IEEE 1394 Host Controller
02:06.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia Controller
02:06.4 Generic system peripheral [0805]: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621 Secure Digital Controller
02:06.5 Communication controller: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621 Smart Card Controller

lspci -n:
02:06.0 0607: 104c:8031
02:06.2 0c00: 104c:8032
02:06.3 0180: 104c:8033
02:06.4 0805: 104c:8034
02:06.5 0780: 104c:8035

I am using an HP Compaq nw8240. This is only an SD card and smart card reader, not a 5 in 1.

under feisty 7.04beta works with kernel 2.6.20-12:
dmesg:
[ 122.704000] tifm_core: MMC/SD card detected in socket 0:3
[ 123.372000] mmcblk0: mmc3:9bd7 SD256 249088KiB
[ 123.372000] mmcblk0: p1

but kernel 2.6.20-13 or -14 don't work:
dmesg:
[ 126.720000] tifm_7xx1: sd card detected in socket 3
[ 127.204000] mmcblk0: mmc3:9bd7 SD256 249088KiB
[ 127.204000] mmcblk0: p1
[ 128.212000] tifm_sd: card failed to respond for a long period of time<6>tifm_7xx1: demand removing card from socket 3
[ 128.212000] mmcblk0: error 1 sending read/write command
[ 128.212000] end_request: I/O error, dev mmcblk0, sector 498112
[ 128.212000] Buffer I/O error on device mmcblk0, logical block 62264
above line *100

Ramesh Thiruchelvam (ramesht) wrote :

I'm using Feisty 7.04 Beta on Compaq NX 6120 Note Book, the card reader wouldn't work... When I was using Ubuntu 6.10, I found a fix in the Ubuntu Forums that would make it work, but even that fix wouldn't work in Feisty 7.04 Beta...

uname -a
Linux matrix 2.6.20-14-generic #2 SMP Mon Apr 2 20:37:49 UTC 2007 i686 GNU/Linux

Ramesh Thiruchelvam (ramesht) wrote :
Ramesh Thiruchelvam (ramesht) wrote :

sorry I forgot to mention the link of the Ubuntu Form article I was referring to, it's...

http://ubuntuforums.org/showthread.php?t=315497

Lionel Dricot (ploum) wrote :

Given the number of duplicates, the number of hardware that seems affected and the fact that this bugs is a regression, I would suggest to rise the priority/importance. IMHO, this bug should be fixed in Feisty. (I personnaly don't care as I don't use it but other people do)

So it seems like whatever fixed the initial broken cardreaders (tifm
version 0.8) also broke some other models of TI FlashMedia?

no, some change from 2.6.20-12 to 2.6.20-12 broke everything, so now basically no tifm cardreader works.

Pavel Rojtberg (rojtberg) wrote :

*to 2.6.20-13

Only if it's a udev problem (guessing because when udev has a problem, it seems like it pops up in lots of places)...they're different card readers and different kernel modules and everything, so they don't seem like they'd be related

appears to be a lot of rumours ans multiple bug reports here but this looks like the one for not auto mounting I'm not sure it is a tifm module issue as HAL responds correctly on card insertion see below

I have rebuilt the tifm modules from

http://openfacts.berlios.de/index-en...12/xx21_driver

to replace the hopelessly buggy stock 2.6.20 kernel

All is good and installing the card gives

[ 714.680000] tifm_core: MMC/SD card detected in socket 0:3
[ 714.972000] mmcblk0: mmc3:0001 SDMMC 508800KiB
[ 714.972000] mmcblk0: p1

fdisk -l

Disk /dev/sda: 60.0 GB, 60011642880 bytes
240 heads, 63 sectors/track, 7752 cylinders
Units = cylinders of 15120 * 512 = 7741440 bytes

Device Boot Start End Blocks Id System
/dev/sda1 1 250 1889968+ 82 Linux swap / Solaris
/dev/sda2 251 7752 56715120 83 Linux

Disk /dev/mmcblk0: 521 MB, 521011200 bytes
9 heads, 24 sectors/track, 4711 cylinders
Units = cylinders of 216 * 512 = 110592 bytes

Device Boot Start End Blocks Id System
/dev/mmcblk0p1 2 4712 508685+ 6 FAT16

so all is good manual mounting the card works a treat to but feisty will not automount on insertion
this is a retrograde for edgy as with the .6 drivers it worked.

I suspect this is a mmc problem as

lshal -m gives

Start monitoring devicelist:
-------------------------------------------------
pci_104c_8033_mmc_host added

on card insertion so why doesn't fiesty react to the hal event ??

Przemysław Kulczycki (azrael) wrote :

The link you've posted is broken.

Interesting thing here:
I've compiled above module in the working kernel: 2.6.20-12, and it just compile well.
(tifm module version 0.8)
On kernel 2.6.20-14 that doesn't works:
root@leon:/home/laurent# make clean
rm -rf *.o *.o.d *.ko.d .depend .*.cmd *.ko *.mod.c .tmp_versions
root@leon:/home/laurent# make
echo /home/laurent
/home/laurent
make -C /lib/modules/2.6.20-14-generic/build M=/home/laurent
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.20-14-generic »
  LD /home/laurent/built-in.o
  CC [M] /home/laurent/tifm_core.o
  CC [M] /home/laurent/tifm_7xx1.o
  CC [M] /home/laurent/tifm_sd.o
/home/laurent/tifm_sd.c:16:32: erreur: linux/mmc/protocol.h : Aucun fichier ou répertoire de ce type
/home/laurent/tifm_sd.c: In function ‘tifm_sd_probe’:
/home/laurent/tifm_sd.c:987: erreur: ‘struct mmc_host’ has no member named ‘max_sectors’
make[2]: *** [/home/laurent/tifm_sd.o] Erreur 1
make[1]: *** [_module_/home/laurent] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.20-14-generic »
make: *** [all] Erreur 2

It seems that kernel-2.6.20-14 is missing linux/mmc/protocol.h ??

Could it be a related to why the module don't works well on -13 and -14??

Have you also seen that? on the module website:
Version 0.6 of the driver is included with stock 2.6.19 release of the linux kernel. Version 0.8 should compile on 2.6.20 kernels and can be used as a replacement for the shipped

_(and quite unfortunately, buggy) one. _

It's in progress of merging into the main kernel tree.

Ok for completeness I removed the tifm modules and switched over to the sdhci module with

setpci -s 02:06.3 4c.b=0x02 (only for my laptop check lspci for yours)

inserting card gives

[ 8354.956000] mmcblk0: mmc2:0001 SDMMC 508800KiB
[ 8354.956000] mmcblk0: p1

fdisk -l

Disk /dev/sda: 60.0 GB, 60011642880 bytes
240 heads, 63 sectors/track, 7752 cylinders
Units = cylinders of 15120 * 512 = 7741440 bytes

   Device Boot Start End Blocks Id System
/dev/sda1 1 250 1889968+ 82 Linux swap / Solaris
/dev/sda2 251 7752 56715120 83 Linux

Disk /dev/mmcblk0: 521 MB, 521011200 bytes
9 heads, 24 sectors/track, 4711 cylinders
Units = cylinders of 216 * 512 = 110592 bytes

        Device Boot Start End Blocks Id System
/dev/mmcblk0p1 2 4712 508685+ 6 FAT16

But Hal does not recognize card insertion at all ????

But Manual mounting works fine.

Conclusion Both the sdhci AND tifm modules work BUT

1 with tifm modules hal events function but no auto mount, manual mount works
2 with sdhci modules hal doesn't function, manual mount still works

Hopefully this will clear up the confusion with the two different drivers and these bugs can be traced prior to feisty

so I think there are 2 bugs but need someone smarter than me to say which package they are in.

Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
description: updated
Changed in linux-source-2.6.20:
assignee: ubuntu-kernel-team → phillip-lougher
importance: Medium → High
status: Confirmed → In Progress
Changed in linux-source-2.6.22:
status: Unconfirmed → Rejected
121 comments hidden view all 201 comments

> Rejecting this from 2.6.22 until someone actually says they tested it on
> 2.6.22, and that if it doesn't work it's the _same_ bug, not just a
> "doesn't work there either".
I tested it on 2.6.22 after downloading deb paquet. Troubes were like
for 2.6.20. In fact I think it's normal since this should be same module
and same bug.
I tried on 2.6.15 (dapper) and it didn't work on it. I don't got edgy
live-cd to test it again but it was working on it.

paumarc (paumarc) wrote :

It works for me

thank you for all

Toshiba a130, the new kernel works for me. (Broke X that took a while to fix) Copied 1 file, copied several files at once. Was able to eject and it remounted automaticly when reinserted. Read Files off the card with this and other pc. Thanks.

What's the shortest path to backport gutsy's 2.6.22 kernel to feisty? And, please, can someone provide a checklist to know where exactly my card reader is "broken"? I am still unable to find anything in system logs, but it just won't work, and it was one of those that worked out-of-the-box in edgy.

Ben Collins (ben-collins) wrote :

Vincenzo: Just install the kernel from gutsy onto feisty.

On Wed, May 30, 2007 at 11:04:40PM -0000, Ben Collins wrote:
> Vincenzo: Just install the kernel from gutsy onto feisty.
I just did that, and I got this :

find: /lib/firmware/2.6.22-5-generic: No such file or directory
find: /lib/firmware/2.6.22-5-generic: No such file or directory
find: /lib/firmware/2.6.22-5-generic: No such file or directory
find: /lib/firmware/2.6.22-5-generic: No such file or directory
find: /lib/firmware/2.6.22-5-generic: No such file or directory
find: /lib/firmware/2.6.22-5-generic: No such file or directory

On Sun, May 27, 2007 at 10:34:21PM -0000, stevelasvegas wrote:
> This worked for me.
> https://answers.launchpad.net/ubuntu/+source/gnome-panel/+question/6262

I tried that with 2.6.20-15 & -16 kernels, neither worked for me ! Btw,
the card reader used to work in Edgy.

Id2ndR (id2ndr) wrote :

> What's the shortest path to backport gutsy's 2.6.22 kernel to feisty?
>

Just download linux-image-2.6.22-5-generic_2.6.22-5.11_i386.deb from
http://archive.ubuntu.com/ubuntu/pool/main/l/linux-source-2.6.22/
Nevertheless I tested it few days ago and it doesn't work better for me.

> And, please, can someone provide a checklist to know where exactly my
> card reader is "broken"? I am still unable to find anything in system
> logs, but it just won't work, and it was one of those that worked out-
> of-the-box in edgy.
>
Same as you.
I tried to get information from /var/log/kern.log but I haven't any.

Maybe someone can help us to compile the module with a "debug flag" and
help us to use and understand informations it may provide.

There are more and more bugs opened in launchpad and I surprised how
long they are opened/confirmed. I'd like to help to fix these bugs but I
don't how to do. I only know how to report them.

Mackenzie Morgan (maco.m) wrote :

That script won't do anything for 2.6.20-16. It just does what the above comments say to do, but 2.6.20-16 have the modules already. It was only needed for 2.6.20-15.

As we have no information about the progress in resolving this bug, I tried to in an other way. I visited http://developer.berlios.de/projects/tifmxx and downloaded latest version available.

Then I tried to compile it but I got an unexpected error :

$ make
echo /tmp/tifm-0.8e.tar.bz2_FILES
/tmp/tifm-0.8e.tar.bz2_FILES
make -C /lib/modules/2.6.20-16-generic/build M=/tmp/tifm-0.8e.tar.bz2_FILES
make[1]: entrant dans le répertoire « /usr/src/linux-headers-2.6.20-16-generic »
  CC [M] /tmp/tifm-0.8e.tar.bz2_FILES/tifm_sd.o
/tmp/tifm-0.8e.tar.bz2_FILES/tifm_sd.c:16:32: erreur: linux/mmc/protocol.h : Aucun fichier ou répertoire de ce type
make[2]: *** [/tmp/tifm-0.8e.tar.bz2_FILES/tifm_sd.o] Erreur 1
make[1]: *** [_module_/tmp/tifm-0.8e.tar.bz2_FILES] Erreur 2
make[1]: quittant le répertoire « /usr/src/linux-headers-2.6.20-16-generic »
make: *** [all] Erreur 2

linux-headers-2.6.20-16-generic packet is installed on my computer, so I don't know if mmc-support is enabled. It was needed with 2.6.17 according to http://gentoo-wiki.com/HARDWARE_Gentoo_Acer_Ferrari_4005WLMi_Manual.
I'd like to be able to compile the module or to understand how it was compile on this version.

================

With current version, blockdevice /dev/mmcblk0p1 isn't created after inserting a SD card.
With older version, automount of the card worked, and here are the information on the module :

$ modinfo tifm_sd
filename: /lib/modules/2.6.17-10-generic/kernel/drivers/mmc/tifm_sd.ko
author: Alex Dubov
description: TI FlashMedia SD driver
license: GPL
version: 0.5
vermagic: 2.6.17-10-generic SMP mod_unload 586 REGPARM gcc-4.1
depends: mmc_core,tifm_core
srcversion: 01E00C53E8DFA16C1BE7F45
parm: no_dma:bool

And in dmesg :
[17180510.468000] mmcblk0: mmc0:b3c7 SD064 60928KiB
[17180510.468000] mmcblk0: p1
[17180525.908000] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!

The card reader works for me now.
azrael@laptop666:~$ uname -a
Linux laptop666 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux
azrael@laptop666:~$ lspci |grep Texas
02:04.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
02:04.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
02:04.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
02:04.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

My laptop is HP Compaq nx6325.

Thx for the great work!

I tried a fresh gutsy cd, everything works on my tablet pc (even the pen of course), but MMC cardreader. I repeat, this cardreader, with this card I am using now, worked without any manual intervention in edgy. Here in feisty and gutsy, the tifm_* modules won't do anything useful. Removing those modules, then inserting SDHCI, won't do anything either (where not doing anything means no messages in system logs in both cases). If I remove every related module, then do the setpci hack, then install only sdhci, I get this in the logs

Jun 20 13:27:36 ubuntu kernel: [ 510.404000] sdhci: Secure Digital Host Controller Interface driver
Jun 20 13:27:36 ubuntu kernel: [ 510.404000] sdhci: Copyright(c) Pierre Ossman
Jun 20 13:27:36 ubuntu kernel: [ 510.404000] sdhci: SDHCI controller found at 0000:03:0b.3 [104c:803c] (rev 0)
Jun 20 13:27:36 ubuntu kernel: [ 510.404000] ACPI: PCI Interrupt 0000:03:0b.3[D] -> GSI 23 (level, low) -> IRQ 19
Jun 20 13:27:36 ubuntu kernel: [ 510.404000] mmc0: SDHCI at 0x58006800 irq 19 DMA

but nothing will happen when inserting the card (again, no messages in the log).

Please someone tell me how to provide more information, I am afraid that my case can be different from others and I would like to file a proper report *before* gutsy, since I reported a dupe of this *before feisty* (when I was wasting my time testing the beta), then had it fixed, then it broke again *after feisty* i.e. in the stable version. I believe in contributing to the community and reporting problems, but I am getting a little fed up with this particular bug.

I tested it on 2.6.22, and it is the same bug.

Changed in linux-source-2.6.22:
status: Rejected → Confirmed

> Please someone tell me how to provide more information, I am afraid that
> my case can be different from others and I would like to file a proper
> report *before* gutsy, since I reported a dupe of this *before feisty*
> (when I was wasting my time testing the beta), then had it fixed, then
> it broke again *after feisty* i.e. in the stable version. I believe in
> contributing to the community and reporting problems, but I am getting a
> little fed up with this particular bug.
>
I wrote to the developer. I put the answer bellow (that I haven't tried).
I've got same trouble as you.

> Then, it is very surprising you are not
> seeing anything in the log (not even "card detected" message). As always, compiling with -DDEBUG
> may shed some light.
>

This may help us !

Mackenzie Morgan (maco.m) wrote :

Just for the heck of it, have you tried checking with an Edgy Live CD that the card reader itself isn't broken? The fact that dmesg isn't seeing anything happening there at all is a bit weird.

> I tried a fresh gutsy cd, everything works on my tablet pc (even the pen
> of course), but MMC cardreader. I repeat, this cardreader, with this
> card I am using now, worked without any manual intervention in edgy.
> Here in feisty and gutsy, the tifm_* modules won't do anything useful.
> Removing those modules, then inserting SDHCI, won't do anything either
> (where not doing anything means no messages in system logs in both
> cases). If I remove every related module, then do the setpci hack, then
> install only sdhci, I get this in the logs
>
> Jun 20 13:27:36 ubuntu kernel: [ 510.404000] sdhci: Secure Digital
> Host Controller Interface driver
> Jun 20 13:27:36 ubuntu kernel: [ 510.404000] sdhci: Copyright(c)
> Pierre Ossman
> Jun 20 13:27:36 ubuntu kernel: [ 510.404000] sdhci: SDHCI controller
> found at 0000:03:0b.3 [104c:803c] (rev 0)
> Jun 20 13:27:36 ubuntu kernel: [ 510.404000] ACPI: PCI Interrupt
> 0000:03:0b.3[D] -> GSI 23 (level, low) -> IRQ 19
> Jun 20 13:27:36 ubuntu kernel: [ 510.404000] mmc0: SDHCI at
> 0x58006800 irq 19 DMA
>
> but nothing will happen when inserting the card (again, no messages in
> the log).
>
> Please someone tell me how to provide more information, I am afraid that
> my case can be different from others and I would like to file a proper
> report *before* gutsy, since I reported a dupe of this *before feisty*
> (when I was wasting my time testing the beta), then had it fixed, then
> it broke again *after feisty* i.e. in the stable version. I believe in
> contributing to the community and reporting problems, but I am getting
> a
> little fed up with this particular bug.
>
> --
> tifm: Texas Instruments Card reader not working
>
> You received this bug notification because you are a direct subscriber
> of the bug.

My Kernel:
Linux ubuntu 2.6.22-6-generic #1 SMP Fri Jun 1 19:24:12 GMT 2007 i686 GNU/Linux

My reader described at the start reads an SD card perfectly without any intervention.

I've updated the original description to reflect my experiences with Gutsy.

description: updated
Changed in linux-source-2.6.22:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → High
TG Browning (tgbrowning) wrote :

I'm running Dapper Drake and noted that there apparently is no support for tifm under Dapper. However, it was mentioned that there was another way around it and so I went out and bought a cheap SD card reader/writer and tried it.

It works okay. The permissions aren't quite right -- it won't let me write to it but I suspect somebody who knows what they're doing might be able to get that to work as well.

The card reader was distributed by GE for Jasco Products which is out of Oklahoma City, OK. Their website is www.jascoproducts.com and the model number is one of these 4 (my eyesight isn't good enough to read the tiny writing on the unit): HO97929, HO97930, HO97931 and HO97948.

Was able to dump four pictures taken from my Olympic camera to my desktop running Ubuntu Dapper Drake.

Browning>>>

Ben Collins (ben-collins) wrote :

2.6.22 target is invalid. Original bug is fixed. Reporter claiming to still see a problem needs to open a new bug, provide all details for device, and target it for gutsy (linux-source-2.6.22). That persons bug will not get fixed in feisty.

Changed in linux-source-2.6.20:
status: In Progress → Fix Released
Changed in linux-source-2.6.22:
importance: High → Medium
status: Confirmed → Invalid

I opened bug #82680 which has been marked as a duplicate of this one, I opened that before stable release and I would kindly ask you all to at least try to fix that in feisty, by checking if I provided enough information and eventually engaging me in a debug session, at least to understand if the problem is or not in the kernel. I am travelling, will try provide debug logs for the modules next week. The bug I reported is *the same* in feisty and gutsy. I am not sure that my bug is a duplicate of this one, however this is not enough to say that the original bug is fixed, and that I have been writing for a while without being listened to it seems.

TG Browning (tgbrowning) wrote :

Question: Under Dapper, I have the same general problem which I fixed by going to an cheap card reader that doesn't use the texas instrument chip set. However, when I try to use that different card reader on a micro SD (1 gig, via a regular SD adapter -- it's for a verizon phone) the card shows up but no files are seen. Anybody else run into this?

Browning>>>

Just like my comment #177 my card works perfectly in Ubuntu 7.10 Tribe 3.

Id2ndR (id2ndr) wrote :
Download full text (7.0 KiB)

According to what I read above, there still is an issu with some Toshiba laptop.
I got the Toshiba U200 laptop
Paulo J. S. Silva got the Toshiba U205 laptop which is rather the same (comment 93)
Tom Dowden got the Toshiba A120-151 (comment 148)

These 3 laptop have an unusable SD card reader with 2.6.20-16.
I tried on gutsy tribe 5 but it doesn't work too.

On feisty (up-to-date) :

lspci -n :
03:0b.0 0607: 104c:8039
03:0b.1 0c00: 104c:803a
03:0b.2 0180: 104c:803b
03:0b.3 0805: 104c:803c

03:0b.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
03:0b.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
03:0b.2 Mass storage controller: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
03:0b.3 Generic system peripheral [0805]: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller

lshw :
           *-pcmcia
                description: CardBus bridge
                product: PCIxx12 Cardbus Controller
                vendor: Texas Instruments
                physical id: b
                bus info: pci@03:0b.0
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: pcmcia bus_master cap_list
                configuration: driver=yenta_cardbus latency=176 maxlatency=5 mingnt=192
                resources: iomemory:ffa04000-ffa04fff irq:18
           *-firewire
                description: FireWire (IEEE 1394)
                product: PCIxx12 OHCI Compliant IEEE 1394 Host Controller
                vendor: Texas Instruments
                physical id: b.1
                bus info: pci@03:0b.1
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: ohci bus_master cap_list
                configuration: driver=ohci1394 latency=64 maxlatency=4 mingnt=2
                resources: iomemory:ffa06000-ffa067ff iomemory:ffa00000-ffa03fff irq:22
           *-storage
                description: Mass storage controller
                product: 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
                vendor: Texas Instruments
                physical id: b.2
                bus info: pci@03:0b.2
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: storage bus_master cap_list
                configuration: driver=tifm_7xx1 latency=64 maxlatency=4 mingnt=7
                resources: iomemory:ffa05000-ffa05fff irq:19
           *-system
                description: Generic system peripheral
                product: PCIxx12 SDA Standard Compliant SD Host Controller
                vendor: Texas Instruments
                physical id: b.3
                bus info: pci@03:0b.3
                version: 00
                width: 32 bits
                clock: 33MHz
                capabilities: bus_master cap_list
                configuration: driver=sdhci latency=64 maxlatency=4 mingnt=7
                resources: iomemory:ffa06800-ffa068ff irq:19

lsmod :
tifm_7xx1 8704 0
tifm_core 11140 1 tifm_7xx1
sdhci 18700 0
mmc_core ...

Read more...

Me too, it still does not work, and worked in edgy.

lspci -n
00:00.0 0600: 8086:27a0 (rev 03)
00:02.0 0300: 8086:27a2 (rev 03)
00:02.1 0380: 8086:27a6 (rev 03)
00:1b.0 0403: 8086:27d8 (rev 02)
00:1c.0 0604: 8086:27d0 (rev 02)
00:1c.2 0604: 8086:27d4 (rev 02)
00:1d.0 0c03: 8086:27c8 (rev 02)
00:1d.1 0c03: 8086:27c9 (rev 02)
00:1d.2 0c03: 8086:27ca (rev 02)
00:1d.3 0c03: 8086:27cb (rev 02)
00:1d.7 0c03: 8086:27cc (rev 02)
00:1e.0 0604: 8086:2448 (rev e2)
00:1f.0 0601: 8086:27b9 (rev 02)
00:1f.1 0101: 8086:27df (rev 02)
00:1f.2 0106: 8086:27c5 (rev 02)
01:00.0 0200: 8086:109a
02:00.0 0280: 8086:4222 (rev 02)
03:0b.0 0607: 104c:8039
03:0b.1 0c00: 104c:803a
03:0b.2 0180: 104c:803b
03:0b.3 0805: 104c:803c

Bug #82680 is a duplicate of this one, both are not fixed for me.

Changed in linux-source-2.6.20:
status: Fix Released → Confirmed

Fixed for me. In my case the affected hardware is a built-in card
reader for an Averatec 2300 laptop.

On Thu, 2007-09-06 at 04:27 +0000, Vincenzo Ciancia wrote:

> Bug #82680 is a duplicate of this one, both are not fixed for me.
>
> ** Changed in: linux-source-2.6.20 (Ubuntu)
> Status: Fix Released => Confirmed
>

Ok, after some discussion on IRC I opened bug #137686. I would like to ask users and developers reading this bug report to take a look and eventually subscribe to that one.

Changed in linux-source-2.6.20:
status: Confirmed → Fix Released
Konstantinos Togias (ktogias) wrote :

I have Texas Instruments PCIxx21 Integrated FlashMedia Controller on my ACER Aspire 1692WLMi laptop not working with a Gutsy fresh install.

The tested kernel is:
$ uname -a
Linux roadrunner 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

The Controller is reported by lspci -vv as:
06:01.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia Controller
        Subsystem: Acer Incorporated [ALI] Unknown device 0066
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 57 (1750ns min, 1000ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at b0214000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME+

When I insert an MMS card into the slot I get the following messages from dmesg:
Nov 1 18:52:08 roadrunner kernel: [ 1357.024000] tifm_core: MemoryStick card detected in socket 0:2
Nov 1 18:52:08 roadrunner kernel: [ 1357.032000] tifm_ms: Unknown symbol tifm_has_ms_pif

And nothing happens. The card is not even shown with sudo fdisk -l .

udevmon gives when I insert thw card:
UDEV [1193936019.015727] add /devices/pci0000:00/0000:00:1e.0/0000:06:01.3/tifm_ms0:2 (tifm)

And when I remove it I have
[ 1487.488000] tifm0 : demand removing card from socket 0:2
from dmesg, and
UDEV [1193936059.381048] remove /devices/pci0000:00/0000:00:1e.0/0000:06:01.3/tifm_ms0:2 (tifm)
from udevmon .

I think the whole issue is because tifm_ms module fails to load with the error message: tifm_ms: Unknown symbol tifm_has_ms_pif . I take this same error when I try to manually modprobe tifm_ms:
$ sudo modprobe tifm_ms
FATAL: Error inserting tifm_ms (/lib/modules/2.6.22-14-generic/ubuntu/misc/tifm/tifm_ms.ko): Unknown symbol in module, or unknown parameter (see dmesg)

Please let me know if this is should be considered as a separate bug and if you need me to provide any more info from the affected system.

Don't know if it's a separate bug -- sound like what happened to me. The problem is that the Texas Instruments chip set isn't one chip set -- seems there are a couple of different ones out there and they react differently. I got mine working under Feisty with a fresh install and using a cheap USB reader. It then started showing up on the desktop but there were still problems with mounting and unmounting it. The upshot was that I more or less have to have the card in the reader and the reader in place when I boot Ubuntu and then I can transfer the photos to my Desktop.

Browning>>>

Konstantinos Togias <email address hidden> wrote: I have Texas Instruments PCIxx21 Integrated FlashMedia Controller on my
ACER Aspire 1692WLMi laptop not working with a Gutsy fresh install.

The tested kernel is:
$ uname -a
Linux roadrunner 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

The Controller is reported by lspci -vv as:
06:01.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia Controller
        Subsystem: Acer Incorporated [ALI] Unknown device 0066
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- SERR-

        Latency: 57 (1750ns min, 1000ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at b0214000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME+

When I insert an MMS card into the slot I get the following messages from dmesg:
Nov 1 18:52:08 roadrunner kernel: [ 1357.024000] tifm_core: MemoryStick card detected in socket 0:2
Nov 1 18:52:08 roadrunner kernel: [ 1357.032000] tifm_ms: Unknown symbol tifm_has_ms_pif

And nothing happens. The card is not even shown with sudo fdisk -l .

udevmon gives when I insert thw card:
UDEV [1193936019.015727] add /devices/pci0000:00/0000:00:1e.0/0000:06:01.3/tifm_ms0:2 (tifm)

And when I remove it I have
[ 1487.488000] tifm0 : demand removing card from socket 0:2
from dmesg, and
UDEV [1193936059.381048] remove /devices/pci0000:00/0000:00:1e.0/0000:06:01.3/tifm_ms0:2 (tifm)
from udevmon .

I think the whole issue is because tifm_ms module fails to load with the error message: tifm_ms: Unknown symbol tifm_has_ms_pif . I take this same error when I try to manually modprobe tifm_ms:
$ sudo modprobe tifm_ms
FATAL: Error inserting tifm_ms (/lib/modules/2.6.22-14-generic/ubuntu/misc/tifm/tifm_ms.ko): Unknown symbol in module, or unknown parameter (see dmesg)

Please let me know if this is should be considered as a separate bug and
if you need me to provide any more info from the affected system.

--
tifm: Texas Instruments Card reader not working
https://bugs.launchpad.net/bugs/53923
You received this bug notification because you are a direct subscriber
of the bug.

Konstaninos and TG Browning....

I'm guessing by MMS you mean Memmory Stick as there is no such card as MMS.

This is not the same bug, Memory sticks are not yet supported by this driver

A quick search on the tifm home page shows
Currently in development:

tifm_ms - driver for MemoryStick cards (beta). This driver is not very useful without higher level MemoryStick protocol drivers. These are found in the same svn repository. Their current status:
memstick - card identification driver (beta)
ms_block - legacy MemoryStick storage support (alpha)
mspro_block - MemoryStick Pro storage support (beta, has some problems)
Early stages of development:

So the fact that the memmory stick is detected shows the driver is working to its present limit.

If you had read through this bug report you would also have found that I have mentioned REPEATEDLY that this drive only supports SD cards at present.

If you want Memmory Stick support I'd sugest you pop across to Belios's (the developer) homepage and cross his palm with silver or donate a MS card for testing.

Andrew,

Sorry if I wasn't clear -- this was NOT a memory stick issue. in point of fact, it was a SanDisk issue that I was referring to and it's flaky as hell, to be honest.

Don't get me wrong -- the people working on it are doing a heck of a good job. The problem (as I see it) is that there are different chip sets out there with odd firmware that doesn't ID itself very well. My experience was with a Secure Digital & Mutlimedia (GE supposedly) USB SanDisk reader. It works. Not great, but it does work if you have it in when the system boots. It occasionally works if you plug it in later, but not always.

Yes, the lspci and other scanning compenents under Ubuntu do see the current diskreader but get messed up, sometimes allowing them to be mounted, sometimes not, and always being a pain in the pratt if you pull the SanDisk. There doesn't seem to be any way to unmount them once they're there.

Please, Andrew, this was NOT a crit of you or the bug reporting and bug killing efforts of the Ubuntu community. Cripes, you guys do a heck of a job considering the complete and total lack of support that most vendors (influenced by Microsoft).

Browning>>>
Andrew Waldram <email address hidden> wrote: Konstaninos and TG Browning....

I'm guessing by MMS you mean Memmory Stick as there is no such card as
MMS.

This is not the same bug, Memory sticks are not yet supported by this
driver

A quick search on the tifm home page shows
Currently in development:

tifm_ms - driver for MemoryStick cards (beta). This driver is not very useful without higher level MemoryStick protocol drivers. These are found in the same svn repository. Their current status:
memstick - card identification driver (beta)
ms_block - legacy MemoryStick storage support (alpha)
mspro_block - MemoryStick Pro storage support (beta, has some problems)
Early stages of development:

So the fact that the memmory stick is detected shows the driver is working to its present limit.

If you had read through this bug report you would also have found that I
have mentioned REPEATEDLY that this drive only supports SD cards at
present.

If you want Memmory Stick support I'd sugest you pop across to Belios's
(the developer) homepage and cross his palm with silver or donate a MS
card for testing.

--
tifm: Texas Instruments Card reader not working
https://bugs.launchpad.net/bugs/53923
You received this bug notification because you are a direct subscriber
of the bug.

Mackenzie Morgan (maco.m) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

But this is for Texas Instruments card readers, not USB ones. Texas
Instruments ones tend to be what's integrated in the side of a laptop.

TG Browning wrote:
> Andrew,
>
> Sorry if I wasn't clear -- this was NOT a memory stick issue. in point
> of fact, it was a SanDisk issue that I was referring to and it's flaky
> as hell, to be honest.
>
> Don't get me wrong -- the people working on it are doing a heck of a
> good job. The problem (as I see it) is that there are different chip
> sets out there with odd firmware that doesn't ID itself very well. My
> experience was with a Secure Digital & Mutlimedia (GE supposedly) USB
> SanDisk reader. It works. Not great, but it does work if you have it
> in when the system boots. It occasionally works if you plug it in later,
> but not always.
>
>
> Yes, the lspci and other scanning compenents under Ubuntu do see the current diskreader but get messed up, sometimes allowing them to be mounted, sometimes not, and always being a pain in the pratt if you pull the SanDisk. There doesn't seem to be any way to unmount them once they're there.
>
> Please, Andrew, this was NOT a crit of you or the bug reporting and bug
> killing efforts of the Ubuntu community. Cripes, you guys do a heck of a
> job considering the complete and total lack of support that most vendors
> (influenced by Microsoft).
>
> Browning>>>
> Andrew Waldram <email address hidden> wrote: Konstaninos and TG Browning....
>
> I'm guessing by MMS you mean Memmory Stick as there is no such card as
> MMS.
>
> This is not the same bug, Memory sticks are not yet supported by this
> driver
>
> A quick search on the tifm home page shows
> Currently in development:
>
> tifm_ms - driver for MemoryStick cards (beta). This driver is not very useful without higher level MemoryStick protocol drivers. These are found in the same svn repository. Their current status:
> memstick - card identification driver (beta)
> ms_block - legacy MemoryStick storage support (alpha)
> mspro_block - MemoryStick Pro storage support (beta, has some problems)
> Early stages of development:
>
>
> So the fact that the memmory stick is detected shows the driver is working to its present limit.
>
> If you had read through this bug report you would also have found that I
> have mentioned REPEATEDLY that this drive only supports SD cards at
> present.
>
> If you want Memmory Stick support I'd sugest you pop across to Belios's
> (the developer) homepage and cross his palm with silver or donate a MS
> card for testing.
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHLUF0ojm3DbyNMmkRArQJAJ9aiaG4DL+zdhOqnp5czES2zMWOsACfYniJ
IkQZOel+fSpXFUxwFPSjspA=
=t94M
-----END PGP SIGNATURE-----

Download full text (4.5 KiB)

I have a Texas Instruments reader included on my HP nx8220, and with a 512mb SD Card it works perfect. With a 1gb SD Card, it fails with the "mmcblk0: error 1 transferring data" error.

This is Gutsy.

uname -a:
  Linux munster 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

lspci | grep Texas:
  02:06.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
  02:06.2 FireWire (IEEE 1394): Texas Instruments OHCI Compliant IEEE 1394 Host Controller
  02:06.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia Controller
  02:06.4 Generic system peripheral [0805]: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621 Secure Digital Controller
  02:06.5 Communication controller: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621 Smart Card Controller

dmesg error:
Dec 4 19:26:15 munster kernel: [ 3071.800000] tifm_core: MMC/SD card detected in socket 0:3
Dec 4 19:26:15 munster kernel: [ 3072.060000] mmcblk0: mmc3:0002 Flash 985600KiB
Dec 4 19:26:15 munster kernel: [ 3072.060000] mmcblk0: p1
Dec 4 19:26:15 munster kernel: [ 3072.264000] mmcblk0: error 1 transferring data
Dec 4 19:26:15 munster kernel: [ 3072.264000] end_request: I/O error, dev mmcblk0, sector 1971072
Dec 4 19:26:15 munster kernel: [ 3072.264000] printk: 72 messages suppressed.
Dec 4 19:26:15 munster kernel: [ 3072.264000] Buffer I/O error on device mmcblk0, logical block 246384
Dec 4 19:26:15 munster kernel: [ 3072.268000] mmcblk0: error 1 sending read/write command
Dec 4 19:26:15 munster kernel: [ 3072.268000] end_request: I/O error, dev mmcblk0, sector 1971072
Dec 4 19:26:15 munster kernel: [ 3072.268000] Buffer I/O error on device mmcblk0, logical block 246384
Dec 4 19:26:15 munster kernel: [ 3072.268000] mmcblk0: error 1 sending read/write command
Dec 4 19:26:15 munster kernel: [ 3072.268000] end_request: I/O error, dev mmcblk0, sector 1971184
Dec 4 19:26:15 munster kernel: [ 3072.268000] Buffer I/O error on device mmcblk0, logical block 246398
Dec 4 19:26:15 munster kernel: [ 3072.272000] mmcblk0: error 1 sending read/write command
Dec 4 19:26:15 munster kernel: [ 3072.272000] end_request: I/O error, dev mmcblk0, sector 1971184
Dec 4 19:26:15 munster kernel: [ 3072.272000] Buffer I/O error on device mmcblk0, logical block 246398
Dec 4 19:26:15 munster kernel: [ 3072.276000] mmcblk0: error 1 sending read/write command
Dec 4 19:26:15 munster kernel: [ 3072.276000] end_request: I/O error, dev mmcblk0, sector 0
Dec 4 19:26:15 munster kernel: [ 3072.276000] Buffer I/O error on device mmcblk0, logical block 0
Dec 4 19:26:15 munster kernel: [ 3072.280000] mmcblk0: error 1 sending read/write command
Dec 4 19:26:15 munster kernel: [ 3072.280000] end_request: I/O error, dev mmcblk0, sector 0
Dec 4 19:26:15 munster kernel: [ 3072.280000] Buffer I/O error on device mmcblk0, logical block 0
Dec 4 19:26:15 munster kernel: [ 3072.284000] mmcblk0: error 1 sending read/write command
Dec 4 19:26:15 munster kernel: [ 3072.284000] end_request: I/O error, dev mmcblk0, sector 0
Dec 4 19:26:15 munster kernel: [ 3072.284000] Buffer I/O error on device mmcblk0, logical block 0
Dec 4 19:26:15 munster ke...

Read more...

Download full text (5.1 KiB)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Is the 1GB card full? Does it work right when it's emptier? My 2GB
card works fine, but I have barely anything on it.

Adolfo González Blázquez wrote:
> I have a Texas Instruments reader included on my HP nx8220, and with a
> 512mb SD Card it works perfect. With a 1gb SD Card, it fails with the
> "mmcblk0: error 1 transferring data" error.
>
> This is Gutsy.
>
> uname -a:
> Linux munster 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux
>
> lspci | grep Texas:
> 02:06.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
> 02:06.2 FireWire (IEEE 1394): Texas Instruments OHCI Compliant IEEE 1394 Host Controller
> 02:06.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia Controller
> 02:06.4 Generic system peripheral [0805]: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621 Secure Digital Controller
> 02:06.5 Communication controller: Texas Instruments PCI6411/6421/6611/6621/7411/7421/7611/7621 Smart Card Controller
>
> dmesg error:
> Dec 4 19:26:15 munster kernel: [ 3071.800000] tifm_core: MMC/SD card detected in socket 0:3
> Dec 4 19:26:15 munster kernel: [ 3072.060000] mmcblk0: mmc3:0002 Flash 985600KiB
> Dec 4 19:26:15 munster kernel: [ 3072.060000] mmcblk0: p1
> Dec 4 19:26:15 munster kernel: [ 3072.264000] mmcblk0: error 1 transferring data
> Dec 4 19:26:15 munster kernel: [ 3072.264000] end_request: I/O error, dev mmcblk0, sector 1971072
> Dec 4 19:26:15 munster kernel: [ 3072.264000] printk: 72 messages suppressed.
> Dec 4 19:26:15 munster kernel: [ 3072.264000] Buffer I/O error on device mmcblk0, logical block 246384
> Dec 4 19:26:15 munster kernel: [ 3072.268000] mmcblk0: error 1 sending read/write command
> Dec 4 19:26:15 munster kernel: [ 3072.268000] end_request: I/O error, dev mmcblk0, sector 1971072
> Dec 4 19:26:15 munster kernel: [ 3072.268000] Buffer I/O error on device mmcblk0, logical block 246384
> Dec 4 19:26:15 munster kernel: [ 3072.268000] mmcblk0: error 1 sending read/write command
> Dec 4 19:26:15 munster kernel: [ 3072.268000] end_request: I/O error, dev mmcblk0, sector 1971184
> Dec 4 19:26:15 munster kernel: [ 3072.268000] Buffer I/O error on device mmcblk0, logical block 246398
> Dec 4 19:26:15 munster kernel: [ 3072.272000] mmcblk0: error 1 sending read/write command
> Dec 4 19:26:15 munster kernel: [ 3072.272000] end_request: I/O error, dev mmcblk0, sector 1971184
> Dec 4 19:26:15 munster kernel: [ 3072.272000] Buffer I/O error on device mmcblk0, logical block 246398
> Dec 4 19:26:15 munster kernel: [ 3072.276000] mmcblk0: error 1 sending read/write command
> Dec 4 19:26:15 munster kernel: [ 3072.276000] end_request: I/O error, dev mmcblk0, sector 0
> Dec 4 19:26:15 munster kernel: [ 3072.276000] Buffer I/O error on device mmcblk0, logical block 0
> Dec 4 19:26:15 munster kernel: [ 3072.280000] mmcblk0: error 1 sending read/write command
> Dec 4 19:26:15 munster kernel: [ 3072.280000] end_request: I/O error, dev mmcblk0, sector 0
> Dec 4 19:26:15 munster kernel: [ 3072.280000] Buffer I/O error on device mmcblk0, logical block 0
> Dec 4 19:26:15 munster kerne...

Read more...

> Is the 1GB card full? Does it work right when it's emptier? My 2GB
> card works fine, but I have barely anything on it.

It's empty, FAT16 formated (my cam doesn't accept FAT32).

Hi, I've made a meta-bug to keep track of all these Texas Card Reader bugs - please help me by using it to close duplicates, and get new bugs to search for duplicates. The meta-bug is Bug #180076

description: updated

Have LG LS55 Express notebook.

Installed Hardy Heron aka 8.04
2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

When I insert an SD card into the card reader the system hangs.

If I try booting system with the SD card inserted at hangs as well.

The message it displays before it hangs is something like this:
tifm_sd0:0 card failed to respond for a long period of time...
mmcblk0: ... error -123
mmc: killing requests for a dead queue

I've read several open tickets and forum thread from ubuntuforums.org and tried tricks for Texas chip described there. setpci ... 4c.b=0x22 helps avoiding hangup but card isn't visible anyway.

On Thu, May 1, 2008 at 7:15 PM, kirill kovalenko
<email address hidden> wrote:
> Have LG LS55 Express notebook.
>
> Installed Hardy Heron aka 8.04
> 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
>
> When I insert an SD card into the card reader the system hangs.
>

Yes, I have the same issue with Hardy. It doesn't always hang, and it
sometimes hangs when removing a card, not when inserting it (I managed
to mount and use a card successfully before it hung).

The only way to get the laptop back was to hold the power button...
magic SysRq failed.

I didn't check the logs, my bad :/ Will do it again and see if I get the same...

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Download full text (50.1 KiB)

I have an HP 2510p in which the SD reader worked perfectly in Intrepid Ibex...until some update (I believe) killed it. : ( Anyway, if I connect SD cards through an external (USB-plugged) reader, such as through an external HD equipped with one, the card will show and everything, if not, then it won't. The problem continues into Karmic, here is the output of dmesg:

[ 111.611596] mmcblk0: error -84 transferring data, sector 4, nr 28, card status 0x900
[ 111.611600] end_request: I/O error, dev mmcblk0, sector 4
[ 111.614040] mmcblk0: error -84 transferring data, sector 5, nr 27, card status 0x900
[ 111.614046] end_request: I/O error, dev mmcblk0, sector 5
[ 111.616493] mmcblk0: error -84 transferring data, sector 6, nr 26, card status 0x900
[ 111.616497] end_request: I/O error, dev mmcblk0, sector 6
[ 111.618939] mmcblk0: error -84 transferring data, sector 7, nr 25, card status 0x900
[ 111.618943] end_request: I/O error, dev mmcblk0, sector 7
[ 111.621428] mmcblk0: error -84 transferring data, sector 8, nr 24, card status 0x900
[ 111.621433] end_request: I/O error, dev mmcblk0, sector 8
[ 111.623883] mmcblk0: error -84 transferring data, sector 9, nr 23, card status 0x900
[ 111.623889] end_request: I/O error, dev mmcblk0, sector 9
[ 111.627848] mmcblk0: error -84 transferring data, sector 10, nr 22, card status 0x900
[ 111.627855] end_request: I/O error, dev mmcblk0, sector 10
[ 111.630301] mmcblk0: error -84 transferring data, sector 11, nr 21, card status 0x900
[ 111.630307] end_request: I/O error, dev mmcblk0, sector 11
[ 111.632739] mmcblk0: error -84 transferring data, sector 12, nr 20, card status 0x900
[ 111.632743] end_request: I/O error, dev mmcblk0, sector 12
[ 111.635202] mmcblk0: error -84 transferring data, sector 13, nr 19, card status 0x900
[ 111.635209] end_request: I/O error, dev mmcblk0, sector 13
[ 111.638671] mmcblk0: error -84 transferring data, sector 14, nr 18, card status 0x900
[ 111.638677] end_request: I/O error, dev mmcblk0, sector 14
[ 111.642041] mmcblk0: error -84 transferring data, sector 15, nr 17, card status 0x900
[ 111.642046] end_request: I/O error, dev mmcblk0, sector 15
[ 111.646253] mmcblk0: error -84 transferring data, sector 16, nr 16, card status 0x900
[ 111.646260] end_request: I/O error, dev mmcblk0, sector 16
[ 111.648854] mmcblk0: error -84 transferring data, sector 17, nr 15, card status 0x900
[ 111.648859] end_request: I/O error, dev mmcblk0, sector 17
[ 111.652390] mmcblk0: error -84 transferring data, sector 18, nr 14, card status 0x900
[ 111.652395] end_request: I/O error, dev mmcblk0, sector 18
[ 111.655010] mmcblk0: error -84 transferring data, sector 19, nr 13, card status 0x900
[ 111.655016] end_request: I/O error, dev mmcblk0, sector 19
[ 111.657625] mmcblk0: error -84 transferring data, sector 20, nr 12, card status 0x900
[ 111.657630] end_request: I/O error, dev mmcblk0, sector 20
[ 111.660234] mmcblk0: error -84 transferring data, sector 21, nr 11, card status 0x900
[ 111.660240] end_request: I/O error, dev mmcblk0, sector 21
[ 111.663423] mmcblk0: error -84 transferring data, sector 22, nr 10, card status 0x900
[ 111.663429] end_request: I/O error...

beewolf (beewolf) on 2010-03-01
Changed in linux-source-2.6.20 (Ubuntu):
assignee: nobody → beewolf (beewolf)
Displaying first 40 and last 40 comments. View all 201 comments or add a comment.